<? $this->headTitle('Biography', 'APPEND');
$defines = Zend_Registry::get('defines') ?>
<? $system = ROYAL_SYSTEM == Cubix_Application::getById()->measure_units ? ROYAL_SYSTEM : METRIC_SYSTEM ?>


<style type="text/css">
    input.loading {
        background: url('<?= _st('internal/ajax-loader.gif') ?>') no-repeat 99% 50% !important;
        padding-right: 5px !important;
    }

    input.valid {
        background: url('<?= _st('internal/icon_ok.png') ?>') no-repeat 99% 50% !important;
        padding-right: 5px !important;
    }

    input.invalid {
        background: url('<?= _st('internal/icon_error.png') ?>') no-repeat 99% 50% !important;
        padding-right: 5px !important;
    }
</style>

<form class="form" action="<?= $this->getLink('private-v2-profile', array(), true) ?>" method="post"
      enctype="multipart/form-data">

    <div class="header-bio">
        <p><?= __('attention_text_slogan') ?></p>
    </div>

    <div class="c-body">

        <p class="step-lab"><?= __('step')?> 1/7</p>
        <div class="c-title"><?= __('pv2_section_basic_bio') ?> </div>

        <div class="body">
            <div class="inner">
                <label for="showname"><?= __('pv2_label_showname') ?> <b>*</b></label>
                <input id="showname" class="txt" type="text" name="showname"
                       value="<?= $this->data['showname'] ?>"
                       size="40"/>

                <span class="tip" title="<?= __('pv2_tip_showname') ?>"></span>

                <div class="clear"></div>
            </div>

            <div class="inner">
                <label for="gender"><?= __('pv2_label_gender') ?></label>
                <select id="gender" name="gender">
                    <option value="">-</option>
                    <? foreach ($defines['gender_options'] as $i => $gender): ?>
                        <option value="<?= $i ?>" <?= $i == $this->data['gender'] ? ' selected="selected"' : '' ?>><?= $gender ?>

                        </option>
                    <? endforeach; ?>
                </select>

                <div class="clear"></div>
            </div>

            <div class="inner">
                <label for="profile_type"><?= __('pv2_label_profile_type') ?></label>
                <select id="profile_type" name="profile_type">
                    <option value="">-</option>
                    <? foreach ($defines['profile_type_options'] as $i => $profile_type): ?>
                        <option value="<?= $i ?>" <?= $i == $this->data['profile_type'] ? ' selected' : '' ?>><?= $profile_type ?>
                        </option>
                    <? endforeach; ?>
                </select>

                <div class="clear"></div>
            </div>
        </div>
    </div>

    <div class="c-body">
        <div class="c-title"><?= __('pv2_section_vital_statistics') ?></div>

        <div class="body">


            <div class="inner">
                <label for="hair_color"><?= __('pv2_label_hair_color') ?></label>
                <select id="hair_color" name="hair_color">
                    <option value="">-</option>
                    <? foreach ($defines['hair_color_options'] as $i => $color): ?>
                        <option value="<?= $i ?>" <?= $i == $this->data['hair_color'] ? ' selected="selected"' : '' ?>><?= $color ?>
                        </option>
                    <? endforeach; ?>
                </select>

                <div class="clear"></div>
            </div>

            <div class="inner">
                <label for="hair_length"><?= __('hair_length') ?></label>
                <select id="hair_length" name="hair_length">
                    <option value="">-</option>
                    <? foreach ($defines['hair_length_options'] as $i => $length): ?>
                        <option value="<?= $i ?>" <?= $i == $this->data['hair_length'] ? ' selected="selected"' : '' ?>><?= $length ?>
                        </option>
                    <? endforeach; ?>
                </select>

                <div class="clear"></div>
            </div>

            <div class="inner">
                <label for="eye_color"><?= __('pv2_label_eye_color') ?></label>
                <select id="eye_color" name="eye_color">
                    <option value="">-</option>
                    <? foreach ($defines['eye_color_options'] as $i => $color): ?>
                        <option value="<?= $i ?>" <?= $i == $this->data['eye_color'] ? ' selected="selected"' : '' ?>><?= $color ?>
                        </option>
                    <? endforeach; ?>
                </select>

                <div class="clear"></div>
            </div>

            <div class="inner">
                <label for="height"><?= __('pv2_label_height') ?></label>
                <? $height = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['height'], 'cm', 'ftin') : $this->data['height'] ?>
                <span class="units"><?= ROYAL_SYSTEM == $system ? 'feet\' inch"' : 'cm' ?></span>
                <select id="height" name="height">
                    <option value="">-</option>
                    <? foreach ($this->defines['biography'][$system]['height'] as $i): ?>
                        <option value="<?= htmlentities($i) ?>"<?= $height == $i ? ' selected="selected"' : '' ?>><?= $i ?>
                        </option>
                    <? endforeach ?>
                </select>

                <div class="clear"></div>
            </div>

            <div class="inner">
                <label for="weight"><?= __('pv2_label_weight') ?></label>
                <? $weight = $system == ROYAL_SYSTEM ? Cubix_UnitsConverter::convert($this->data['weight'], 'kg', 'lbs') : $this->data['weight'] ?>
                <span class="units"><?= ROYAL_SYSTEM == $system ? 'lbs' : 'kg' ?></span>
                <select id="weight" name="weight">
                    <option value="">-</option>
                    <? foreach ($this->defines['biography'][$system]['weight'] as $i): ?>
                        <option value="<?= $i ?>"<?= $weight == $i ? ' selected="selected"' : '' ?>><?= $i ?>
                        </option>
                    <? endforeach ?>
                </select>

                <div class="clear"></div>
            </div>

            <div class="inner">
                <label for="cup-size"><?= __('pv2_label_cup_size') ?></label>
                <select id="cup-size" name="cup_size">
                    <option value="">-</option>
                    <? foreach ($defines['breast_size_options'] as $i => $s): ?>
                        <option value="<?= $s ?>"<?= $this->data['cup_size'] == $s ? ' selected="selected"' : '' ?>><?= $s ?></option>
                    <? endforeach ?>
                </select>

                <div class="clear"></div>
            </div>


        </div>
    </div>

    <div id="saveWrapper" class="pd16">
        <input class="to-next w100 border-radius" type="button" value="<?= __('next_step') ?>"/>
    </div>
</form>

<script>
    $(document).ready(function () {
        <?php foreach( $this->errors as $field => $msgs ): ?>
        $('[name="<?=$field?>"]').addClass('field-error');
        MCubix.Errors.show('<?= $msgs ?>', true);
        <?php endforeach; ?>
    });
</script>